<?php
/*
* ---------------------------------------------------------
* This file contains function stubs for the following XAPI-J extension:
*
*   ACFExtension
*
* which is referenced in the php.ini file with the following line:
*
*   extension = zero.php.ACFExtension
*
* This file allows the extension functions to be found by PDT code assist.
* It should not be used in include or require statements.
* ---------------------------------------------------------
*/

/**
 * This function allows PHP scripts to programmatically process ACF content.
 * @return string
 * @param source string
 * @param contentType string
 * @param encoding string
 * @param filterRuleFileName string
 */
function acf_process($source, $contentType, $encoding, $filterRuleFileName) {
}

/**
 * This function allows PHP scripts to programmatically process ACF content.
 * @return string
 * @param source mixed
 * @param contentType string
 * @param encoing string
 * @param filterRuleFileName string
 */
function acf_process_stream($source, $contentType, $encoing, $filterRuleFileName) {
}

/**
 * This function allows PHP scripts to programmatically validate ACF content.
 * @return string
 * @param source string
 * @param contentType string
 * @param encoing string
 * @param filterRuleFileName string
 */
function acf_validate($source, $contentType, $encoing, $filterRuleFileName) {
}

/**
 * This function allows PHP scripts to programmatically validate ACF content.
 * @return string
 * @param source mixed
 * @param contentType string
 * @param encoding string
 * @param filterRuleFileName string
 */
function acf_validate_stream($source, $contentType, $encoding, $filterRuleFileName) {
}
?>
